{
  "apiVersion": "json.kyverno.io/v1alpha1",
  "kind": "ValidatingPolicy",
  "metadata": {
    "name": "forbid-public-ingress",
    "annotations": {
      "nova.cloudinit.dev/severity": "high",
      "title.policy.kyverno.io": "No resource has public ingress enabled"
    }
  },
  "spec": {
    "rules": [
      {
        "name": "no-public-ingress",
        "identifier": "id",
        "assert": {
          "all": [
            {
              "check": {
                "~.resources": {
                  "(inputs.public_ingress || `false`)": false
                }
              }
            }
          ]
        }
      }
    ]
  }
}